MSGINIT(1)

BEZEICHNUNG
msginit - einen Meldungskatalog initialisieren

ÜBERSICHT
msginit [OPTION]

BESCHREIBUNG

Erstellt eine neue PO-Datei, wobei die Meta-Informationen basierend auf Werten aus der Benutzerumgebung initialisiert werden.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

  Orte der Eingabedateien:

-i, --input=EINGABEDATEI
    POT-Eingabedatei

Wenn keine Eingabedatei angegeben ist, wird im aktuellen Verzeichnis nach der POT-Datei gesucht. Falls »-« angegeben ist, wird aus der Standardeingabe gelesen.

  Orte der Ausgabedateien:

-o, --output-file=DATEI
    schreibt die Ausgabe in die angegebene PO-Datei.

Wenn keine Ausgabedatei angegeben ist, dann ist deren Name von der Option --locale oder der Locale-Einstellung des Benutzers abhängig. Falls »-« angegeben ist, wird in die Standardausgabe geschrieben.

  Syntax der Eingabedatei:

-P, --properties-input
    Eingabedatei folgt der .properties-Syntax von Java.

--stringtable-input
    Eingabedatei folgt der .strings-Syntax von NeXTstep/GNUstep.

  Details zur Ausgabe:

-l, --locale=LL_CC[.KODIERUNG]
    legt die Ziel-Locale fest.

--no-translator
    nimmt an, dass die PO-Datei automatisch erstellt wurde.

--color
    verwendet immer Farben und andere Text-Attribute.

--color=WERT
    verwendet Farben und andere Text-Attribute. Der angegebene WERT kann »always«, »never«, »auto« oder »html« sein.

--style=STILDATEI
    gibt die CSS-Datei mit Stil-Regel für --color an.

-p, --properties-output
    schreibt eine .properties-Datei für Java.

--stringtable-output
    schreibt eine .strings-Datei für NeXTstep/GNUstep.

-w, --width=ANZAHL
    legt die Breite der Ausgabe auf die angegebene ANZAHL Spalten fest.

--no-wrap
    bricht Zeilen in Meldungen, die länger als die Breite der Ausgabe sind, nicht auf mehrere Zeilen um.

  Informative Ausgabe:

-h, --help
    zeigt Hilfeinformationen an und beendet das Programm.

-V, --version
    gibt Versionsinformationen aus und beendet das Programm.

AUTOR
Geschrieben von Bruno Haible.

FEHLER MELDEN
Melden Sie Fehler im Fehlererfassungssystem auf <https://savannah.gnu.org/projects/gettext> oder per E-Mail an <bug-gettext@gnu.org> (jeweils auf Englisch).

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für msginit wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und msginit auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info msginit

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).